# Uses of Interface
org.eclipse.emf.compare.merge.IMerger

Packages that use IMerger
Package
Description
org.eclipse.emf.compare.merge

## Uses of IMerger in org.eclipse.emf.compare.merge

Subinterfaces of IMerger in org.eclipse.emf.compare.merge
Modifier and Type
Interface
Description
`interface`
`IMerger2`
This adds the ability for `mergers` to define their own sub-set of "required" differences.
Classes in org.eclipse.emf.compare.merge that implement IMerger
Modifier and Type
Class
Description
`class`
`AbstractMerger`
Abstract implementation of an `IMerger`.
`class`
`AdditiveConflictMerger`
This specific implementation of `AbstractMerger` will be used to merge conflicts in an additive merge context.
`class`
`AdditiveReferenceChangeMerger`
This specific implementation of `AbstractMerger` will be used to merge reference changes in an additive merge context.
`class`
`AdditiveResourceAttachmentChangeMerger`
This specific implementation of `AbstractMerger` will be used to merge resource attachment changes in an additive merge context.
`class`
`AttributeChangeMerger`
This specific implementation of `AbstractMerger` will be used to merge attribute changes.
`class`
`ConflictMerger`
This specific implementation of `AbstractMerger` will be used to merge real conflicts.
`class`
`FeatureMapChangeMerger`
This specific implementation of `AbstractMerger` will be used to merge attribute changes.
`class`
`PseudoConflictMerger`
A simple merger for pseudo conflict.
`class`
`ReferenceChangeMerger`
This specific implementation of `AbstractMerger` will be used to merge reference changes.
`class`
`ResourceAttachmentChangeMerger`
This specific implementation of `AbstractMerger` will be used to merge resource attachment changes.
`class`
`ResourceLocationChangeMerger`
Deprecated.
`ResourceLocationChange`s have been replaced by `ResourceAttachmentChange`s of kind Move.
Methods in org.eclipse.emf.compare.merge that return IMerger
Modifier and Type
Method
Description
`IMerger`
IMerger.Registry.`add(IMerger merger)`
Adds a merger to the registry.
`IMerger`
IMerger.RegistryImpl.`add(IMerger merger)`
Adds a merger to the registry.
`IMerger`
IMerger.Registry.`getHighestRankingMerger(Diff target)`
Returns the merger, for the given target, owning the highest ranking.
`IMerger`
IMerger.RegistryImpl.`getHighestRankingMerger(Diff target)`
Returns the merger, for the given target, owning the highest ranking.
`IMerger`
DelegatingMerger.`getMerger()`
`IMerger`
IMerger.Registry.`remove(String className)`
Removes a merger from the registry, from its class name.
`IMerger`
IMerger.RegistryImpl.`remove(String className)`
Removes a merger from the registry, from its class name.
Methods in org.eclipse.emf.compare.merge that return types with arguments of type IMerger
Modifier and Type
Method
Description
`Collection<IMerger>`
IMerger.Registry.`getMergers(Diff target)`
Returns the list of the candidate mergers for the given difference.
`Collection<IMerger>`
IMerger.RegistryImpl.`getMergers(Diff target)`
Returns the list of the candidate mergers for the given difference.
`Iterator<IMerger>`
IMerger.Registry2.`getMergersByRankDescending(Diff diff, IMergeCriterion criterion)`
Provide the merger with the highest ranking among those that: Are compatible with the given diff; Match the given non-null criterion.
`Iterator<IMerger>`
IMerger.RegistryImpl.`getMergersByRankDescending(Diff diff, IMergeCriterion criterion)`
Provide the mergers sorted by rank descending.
Methods in org.eclipse.emf.compare.merge with parameters of type IMerger
Modifier and Type
Method
Description
`IMerger`
IMerger.Registry.`add(IMerger merger)`
Adds a merger to the registry.
`IMerger`
IMerger.RegistryImpl.`add(IMerger merger)`
Adds a merger to the registry.
Constructors in org.eclipse.emf.compare.merge with parameters of type IMerger
Modifier
Constructor
Description
``
`DelegatingMerger(IMerger merger, IMergeCriterion criterion)`
Constructor.